Bug 852093 - Wrong ValidPeer Definition in ItemDefinitionHandler (BPMN2)
Wrong ValidPeer Definition in ItemDefinitionHandler (BPMN2)
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kris Verlaenen
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 11:20 EDT by Kris Verlaenen
Modified: 2015-06-01 21:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3687 Major Resolved Wrong ValidPeer Definition in ItemDefinitionHandler (BPMN2) 2012-11-06 04:09:13 EST

  None (edit)
Description Kris Verlaenen 2012-08-27 11:20:33 EDT
Description of problem:
The constructor of the class "org.jbpm.bpmn2.xml.ItemDefinitionHandler" defines several valid peer classes for XML-Validation.

The definition is done by adding the class-object to a HashSet. Due to a missing import of "org.jbpm.bpmn2.core.Error" an error-definition in a BPMN2 process definition results in a validation exception, because the class-object links to "java.lang.Error".
Comment 1 Jiri Svitak 2012-10-03 13:47:09 EDT
Verified in BRMS 5.3.1 ER1.

Note You need to log in before you can comment on or make changes to this bug.